Ability to filter issues blocked by any/no open issues

2014-04-10 17:10 - Arthur Andersen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed   

Description

I wrote a patch for Feature #15029 that adds relation filters: 

'any open issues'

'none or closed issues'

Currently only the english localisations were added.

Though I suggest a german translation:

label_any_open_issues: irgendein offenes Ticket

label_none_or_closed_issues: kein Ticket oder geschlossene Tickets

Related issues:

Has duplicate Redmine - Feature #15029: When filter by "blocked by" = "any", ... Closed

Has duplicate Redmine - Feature #21863: Filter on open blockers only Closed

Associated revisions

Revision 14809 - 2015-11-07 10:20 - Jean-Philippe Lang

Ability to filter issues blocked by any/no open issues (#16621).

Patch by Arthur Andersen.

Revision 14810 - 2015-11-07 10:21 - Jean-Philippe Lang

Adds strings to locales (#16621).

History

#1 - 2014-05-09 11:27 - Toshi MARUYAMA

- Related to Feature #15029: When filter by "blocked by" = "any", take into account if blocking issue is already closed (so no really blocking) added

#2 - 2015-06-09 12:23 - Adrian Wilkins

Arthur : any chance you recall which revision you wrote this patch against? I'm trying to apply this to the 2.5.1 release which is the closest release

revision behind the date on your file but it doesn't match.

#3 - 2015-06-09 13:06 - Adrian Wilkins

- File relations-filter-e4dcb8-r14285.patch added

Here's the patch again applied against a more recent revision (r14285)

#4 - 2015-06-18 11:26 - Arthur Andersen

Awesome! How is the process of merging this patch into master?

Having this patch merged would simplify my deployment process tremendously!

#5 - 2015-07-08 08:56 - Toshi MARUYAMA

Please add tests like r10513.

#6 - 2015-09-16 17:50 - Arthur Andersen
https://www.redmine.org/issues/15029
https://www.redmine.org/projects/redmine/repository/svn/revisions/14285
https://www.redmine.org/projects/redmine/repository/svn/revisions/10513


- File filter-relations-d4e1f70-r14601.patch added

I added tests similar to those in query_test.rb. Hope you can merge soon.

#7 - 2015-10-16 12:22 - Toshi MARUYAMA

- Target version set to 3.2.0

#8 - 2015-11-07 10:23 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Subject changed from When filter by "blocked by" = "any", take into account if blocking issue is already closed (so no really blocking) to Ability to filter

issues blocked by any/no open issues

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Feature added. I made a few changes to the proposed patch and renamed "none or closed issues" with "no open issues".

Thanks.

#9 - 2015-12-01 13:59 - Toshi MARUYAMA

- Related to deleted (Feature #15029: When filter by "blocked by" = "any", take into account if blocking issue is already closed (so no really blocking))

#10 - 2015-12-01 13:59 - Toshi MARUYAMA

- Has duplicate Feature #15029: When filter by "blocked by" = "any", take into account if blocking issue is already closed (so no really blocking) added

#11 - 2016-02-23 12:28 - Toshi MARUYAMA

- Has duplicate Feature #21863: Filter on open blockers only added

Files

redmine_add_relation_filters.patch 5.25 KB 2014-04-10 Arthur Andersen

relations-filter-e4dcb8-r14285.patch 4.06 KB 2015-06-09 Adrian Wilkins

filter-relations-d4e1f70-r14601.patch 6.34 KB 2015-09-16 Arthur Andersen
